#include <stdio.h>
#include <unistd.h>
#include <math.h>

#define PI			3.141592653589793
#define TWOPI			6.28318530717959
#define Ep0			8.8542e-12          /* Farads/meter */
#define QeMe			1.7589e+11          /* Coulombs/kg  */
#define NCMAX			503                 /* Max #of cells*/
#define NPMAX			10000               /* Max #of prtcl*/

#ifndef True
#define True 			1
#endif

#ifndef False
#define False			0
#endif

#ifndef DBL_MIN
#define DBL_MIN  	       1E-200
#endif

/*******************************************************/

#if defined(GLOBALORIGIN)
#define GLOBAL
#else
#define GLOBAL extern
#endif

GLOBAL int   nc, ng, np, n0, n1, k, ne, nfft, ns, nbins,
		 NsmoothDr, NsmoothVc, driver, filter;

GLOBAL float *Vc, *Ec_diag, *power,
		 *Ib, *Ic, *Iold, 
		 *Dr, *FDr, *Rc, 
		 *Qn, *Qn_diag, *Qo, 
		 *Ec, *phi, *Es_diag,
		 *xp, *yp, *x_array, 
		 Re[1030],  Im[1030],
		 *pos, *vel, *Eb, *fe, *e_array;

GLOBAL float Length, Vbeam, Ibeam, Rbeam, Freq, Vphase,
		 Zo, Lo, Co, Ro, No, Wo, dx, dt, nb, vb, gamma_func,
		 L0, C0, C1, Rin, Rout, Vo, Vin, Vout, Ein, adde, s, x, Escale,
		 Qb0, Ib0, BCcoup, SCcoup, lambda, kmax, Kmax, Rb, emax, emin,
                 energy_interval;
GLOBAL double t;
#undef GLOBAL



